package itourbaskBeans;

public class q53PreguntaBean {
    private String codPregunta;
    private String descripcionPregunta;
    private q53TextoBean preguntaTexto;
    private q53OpcionesBean preguntaOpciones;
    private q53GruposBean preguntaGrupos;
    private q53FechaBean preguntaFecha;
    private String tipoPregunta;
    private boolean obligatoria;
    private boolean consulta;
    private String orden;

    /** Creates a new instance of q53PreguntaBean */
    public q53PreguntaBean() {
    }

    /**
     * Getter for property codPregunta.
     * @return Value of property codPregunta.
     */
    public java.lang.String getCodPregunta() {
        return codPregunta;
    }

    /**
     * Setter for property codPregunta.
     * @param codPregunta New value of property codPregunta.
     */
    public void setCodPregunta(java.lang.String codPregunta) {
        this.codPregunta = codPregunta;
    }

    /**
     * Getter for property descripcionPregunta.
     * @return Value of property descripcionPregunta.
     */
    public java.lang.String getDescripcionPregunta() {
        return descripcionPregunta;
    }

    /**
     * Setter for property descripcionPregunta.
     * @param descripcionPregunta New value of property descripcionPregunta.
     */
    public void setDescripcionPregunta(java.lang.String descripcionPregunta) {
        this.descripcionPregunta = descripcionPregunta;
    }

    /**
     * Getter for property preguntaOpciones.
     * @return Value of property preguntaOpciones.
     */
    public itourbaskBeans.q53OpcionesBean getPreguntaOpciones() {
        return preguntaOpciones;
    }

    /**
     * Setter for property preguntaOpciones.
     * @param preguntaOpciones New value of property preguntaOpciones.
     */
    public void setPreguntaOpciones(
        itourbaskBeans.q53OpcionesBean preguntaOpciones) {
        this.preguntaOpciones = preguntaOpciones;
    }

    /**
     * Getter for property preguntaGrupos.
     * @return Value of property preguntaGrupos.
     */
    public itourbaskBeans.q53GruposBean getPreguntaGrupos() {
        return preguntaGrupos;
    }

    /**
     * Setter for property preguntaGrupos.
     * @param preguntaGrupos New value of property preguntaGrupos.
     */
    public void setPreguntaGrupos(itourbaskBeans.q53GruposBean preguntaGrupos) {
        this.preguntaGrupos = preguntaGrupos;
    }

    /**
     * Getter for property preguntaTexto.
     * @return Value of property preguntaTexto.
     */
    public itourbaskBeans.q53TextoBean getPreguntaTexto() {
        return preguntaTexto;
    }

    /**
     * Setter for property preguntaTexto.
     * @param preguntaTexto New value of property preguntaTexto.
     */
    public void setPreguntaTexto(itourbaskBeans.q53TextoBean preguntaTexto) {
        this.preguntaTexto = preguntaTexto;
    }

    /**
     * Getter for property preguntaFecha.
     * @return Value of property preguntaFecha.
     */
    public itourbaskBeans.q53FechaBean getPreguntaFecha() {
        return preguntaFecha;
    }

    /**
     * Setter for property preguntaFecha.
     * @param preguntaFecha New value of property preguntaFecha.
     */
    public void setPreguntaFecha(itourbaskBeans.q53FechaBean preguntaFecha) {
        this.preguntaFecha = preguntaFecha;
    }
    
    /**
     * Getter for property tipoPregunta.
     * @return Value of property tipoPregunta.
     */
    public java.lang.String getTipoPregunta() {
        return tipoPregunta;
    }
    
    /**
     * Setter for property tipoPregunta.
     * @param tipoPregunta New value of property tipoPregunta.
     */
    public void setTipoPregunta(java.lang.String tipoPregunta) {
        this.tipoPregunta = tipoPregunta;
    }
    
    /**
     * Getter for property obligatoria.
     * @return Value of property obligatoria.
     */
    public boolean isObligatoria() {
        return obligatoria;
    }
    
    /**
     * Setter for property obligatoria.
     * @param obligatoria New value of property obligatoria.
     */
    public void setObligatoria(boolean obligatoria) {
        this.obligatoria = obligatoria;
    }
    /**
     * Getter for property consulta.
     * @return Value of property consulta.
     */
    public boolean isConsulta() {
        return consulta;
    }
    
    /**
     * Setter for property consulta.
     * @param obligatoria New value of property consulta.
     */
    public void setConsulta(boolean consulta) {
        this.consulta = consulta;
    }
    /**
     * Getter for property orden.
     * @return Value of property orden.
     */
    public java.lang.String getOrden() {
        return orden;
    }
    
    /**
     * Setter for property orden.
     * @param orden New value of property orden.
     */
    public void setOrden(java.lang.String orden) {
        this.orden = orden;
    }
    
}
